Subject: [PATCH v6 17/17] pwm: Take over maintainership of the PWM subsystem

From: [email-masked] (Arnd Bergmann)
Date: Mon, 16 Apr 2012 15:02:32 +0000

On Monday 16 April 2012, Thierry Reding wrote:
> Seems like this issue is resolved, but something else came up. In the !OF
> builds, of_pwm_request() no longer builds because of_property_match_string()
> and of_parse_phandle_with_args() have no dummies for !OF. I've posted patches
> for these on Friday and they need to go in before the PWM subsystem. I could
> also revert the IS_ENABLED() parts and go back to a #ifdef CONFIG_OF but I'd
> rather not.
> 

Agreed, using IS_ENABLED from C code is much nicer than #ifdef because
we can be sure that all code actually builds.

	Arnd